Bug 172451 - samba user-mode doesn't work, only share-mode
Summary: samba user-mode doesn't work, only share-mode
Status: CLOSED DUPLICATE of bug 172445
Alias: None
Product: Fedora
Classification: Fedora
Component: samba   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-04 18:01 UTC by Ashley Wise
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 21:49:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ashley Wise 2005-11-04 18:01:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322)

Description of problem:
I set up a samba share.

When I have samba server set up in "Share" mode (everyone has access), then I can access the share from both Windows and Linux (read-only though, but that's a different bug report).

When I change the samba server to "User" mode (Preferences->Server Settings->Security->Authentication Mode), so that I can control access, then netiher Windows nor Linux can access the server anymore. I did setup a samba user and password.

Login always fails using smbclient from linux (NT_STATUS_LOGON_FAILURE), and running netview from XP returns System error 5.


Version-Release number of selected component (if applicable):
samba-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. Setup a samba share and samba user
2. Set samba server to User mode
3. Try to log into the share
  

Actual Results:  Can't log in

Expected Results:  Successful log in.

Additional info:

Comment 1 Christian Iseli 2007-01-22 11:34:05 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 2 Simo Sorce 2007-03-14 21:49:05 UTC

*** This bug has been marked as a duplicate of 172445 ***


Note You need to log in before you can comment on or make changes to this bug.